de.caff.generics

## Class BooleanIndexable.Base

- java.lang.Object
- - de.caff.generics.BooleanIndexable.Base

- All Implemented Interfaces:
    BooleanIndexable, PrimitiveBooleanIterable, Sizeable, java.lang.Comparable<BooleanIndexable>, java.lang.Iterable<java.lang.Boolean>
  Direct Known Subclasses:
    MutableBooleanIndexable.Base
  Enclosing interface:
    BooleanIndexable

      public abstract static class BooleanIndexable.Base
      extends java.lang.Object
      implements BooleanIndexable, java.lang.Comparable<BooleanIndexable>

  Abstract base class which provides useful implementations for `Object.equals(Object)`, `Object.hashCode()`, `Object.toString()`. It also provides `Comparable.compareTo(Object)`.
  See Also:
    `BooleanIndexable.asBase()`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.BooleanIndexable

      `BooleanIndexable.Base, BooleanIndexable.EntryConsumer`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.BooleanIndexable

      `EMPTY, SINGLE_FALSE, SINGLE_TRUE`

    - ### Fields inherited from interface de.caff.generics.PrimitiveBooleanIterable

      `EMPTY_BOOLEAN_ITERATOR`

    - ### Fields inherited from interface de.caff.generics.Sizeable

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BooleanIndexable.Base` | `asBase()` Make this boolean indexable usable as a class with defined standard Object methods.
    `int` | `compareTo(BooleanIndexable o)`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.BooleanIndexable

      `addAllTo, addToArray, addToArray, asCollection, asIndexable, asList, booleanIterator, booleanIterator, compare, emptyIndexable, equal, equal, firstMatch, foldLeft, forEachBoolEntry, frozen, get, getMod, gyt, hash, headSet, indexes, init, initByIndex, intIndexes, isEmpty, iterator, lastMatch, listIterator, nextMatch, previousMatch, reverse, rotated, singleton, subSet, sybSet, tailSet, toArray, toList, toString, view, viewArray, viewArray, viewArray, viewByIndex, viewIndexable, viewIndexable, viewIndexable, viewList, viewList, viewList, withAppendedValue, withCachedHash, withExchangedValueAt, withInsertedValueAt, withRemovedValueAt, withSwappedValuesAt`

    - ### Methods inherited from interface de.caff.generics.PrimitiveBooleanIterable

      `and, containsBool, containsFalse, containsTrue, forEachBool, forEachBooleanFragile, forEachBoolFragile, or, xor`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface de.caff.generics.Sizeable

      `size`

- - ### Constructor Detail

    - #### Base

          public Base()

  - ### Method Detail

    - #### compareTo

          public int compareTo(@NotNull
                               BooleanIndexable o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<BooleanIndexable>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### asBase

          @NotNull
          public BooleanIndexable.Base asBase()

      Description copied from interface: `BooleanIndexable`
      Make this boolean indexable usable as a class with defined standard Object methods.
      Specified by:
        `asBase` in interface `BooleanIndexable`
      Returns:
        based version of this indexable